## kf6-sonnet 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
project(Sonnet VERSION ${KF_VERSION})

include(FeatureSummary)
include(CMakeDependentOption)
find_package(ECM 6.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateQmlTypes)
include(ECMFindQmlModule)
include(ECMDeprecationSettings)
include(ECMPoQmTools)
include(CMakeDependentOption)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(REQUIRED_QT_VERSION 6.7.0)
option(SONNET_USE_WIDGETS "Build components using Qt6Widgets" ON)
option(SONNET_USE_QML "Build components using Qt6Quick" ON)
option(SONNET_NO_BACKENDS "Do not fail when no backends are built (to be used for cross-build host tooling)" OFF)

if(SONNET_USE_WIDGETS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
endif()

if(SONNET_USE_QML)
    include(ECMQmlModule)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick)
endif()

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

ecm_setup_version(PROJECT VARIABLE_PREFIX SONNET
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/sonnet_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfigVersion.cmake"
                        SOVERSION 6)

if(SONNET_USE_WIDGETS)
    cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
    add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
endif()

ecm_install_po_files_as_qm(poqm)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
)

if (NOT BUILD_SHARED_LIBS)
    add_definitions(-DSONNET_STATIC)
endif()

add_subdirectory(data)
add_subdirectory(src)

if (BUILD_TESTING)
     add_subdirectory(autotests)
endif()

cmake_dependent_option(BUILD_EXAMPLES "Whether to build the examples" OFF "SONNET_USE_WIDGETS" OFF)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Sonnet")

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6SonnetConfig.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF6SonnetConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  COMPONENT Devel )

install(EXPORT KF6SonnetTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6SonnetTargets.cmake NAMESPACE KF6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sonnet_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Sonnet COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/quick/CMakeLists.txt ===
ecm_add_qml_module(sonnetquickplugin URI "org.kde.sonnet" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES QtQuick)

target_sources(sonnetquickplugin PRIVATE
    types.h
    spellcheckhighlighter.cpp
    spellcheckhighlighter.h )

ecm_qt_declare_logging_category(sonnetquickplugin
    HEADER quick_debug.h
    IDENTIFIER SONNET_LOG_QUICK
    CATEGORY_NAME kf.sonnet.quick
    OLD_CATEGORY_NAMES sonnet.quick
    DESCRIPTION "Sonnet Quick bindings"
    EXPORT SONNET
)
target_link_libraries(sonnetquickplugin
    PUBLIC Qt6::Quick
    PRIVATE KF6SonnetCore
)

ecm_finalize_qml_module(sonnetquickplugin DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_generate_qdoc(sonnetquickplugin sonnetquick.qdocconf)

=== src/ui/CMakeLists.txt ===
add_library(KF6SonnetUi)
add_library(KF6::SonnetUi ALIAS KF6SonnetUi)

set_target_properties(KF6SonnetUi PROPERTIES
    VERSION     ${SONNET_VERSION}
    SOVERSION   ${SONNET_SOVERSION}
    EXPORT_NAME SonnetUi
)

ecm_create_qm_loader(KF6SonnetUi sonnet6_qt)

qt_wrap_ui(sonnetui_ui_SRCS
    configui.ui
    sonnetui.ui
)

target_sources(KF6SonnetUi PRIVATE
    ${sonnetui_ui_SRCS}
    configdialog.cpp
    configview.cpp
    configwidget.cpp
    dialog.cpp
    dictionarycombobox.cpp
    highlighter.cpp
    spellcheckdecorator.cpp
)

ecm_qt_declare_logging_category(KF6SonnetUi
    HEADER ui_debug.h
    IDENTIFIER SONNET_LOG_UI
    CATEGORY_NAME kf.sonnet.ui
    OLD_CATEGORY_NAMES sonnet.ui
    DESCRIPTION "Sonnet UI"
    EXPORT SONNET
)

ecm_generate_headers(SonnetUi_CamelCase_HEADERS
  HEADER_NAMES
    Dialog
    Highlighter
    ConfigDialog
    ConfigView
    ConfigWidget
    DictionaryComboBox
    SpellCheckDecorator
  PREFIX Sonnet
  REQUIRED_HEADERS SonnetUi_HEADERS
)

ecm_generate_export_header(KF6SonnetUi
    BASE_NAME SonnetUi
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Sonnet
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_link_libraries(KF6SonnetUi
    PUBLIC Qt6::Widgets
    PRIVATE KF6::SonnetCore
)

target_include_directories(KF6SonnetUi
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/SonnetUi>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Sonnet>"
    PUBLIC
        "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>" # version header
)

install(TARGETS KF6SonnetUi EXPORT KF6SonnetTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${SonnetUi_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetUi/Sonnet COMPONENT Devel)

install(FILES
   ${SonnetUi_HEADERS}
   ${CMAKE_CURRENT_BINARY_DIR}/sonnetui_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetUi/sonnet COMPONENT Devel)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_generate_qdoc(KF6SonnetUi sonnetui.qdocconf)

=== debian/changelog ===
kf6-sonnet (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:37 +0100

=== debian/control ===
Source: kf6-sonnet
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: aspell,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.17.0~),
               hspell,
               libaspell-dev,
               libhunspell-dev,
               libvoikko-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/sonnet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
Rules-Requires-Root: no

Package: sonnet6-plugins
Section: kde
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kf6-sonnet-plugins,
Replaces: kf6-sonnet-plugins,
Suggests: hspell,
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package provides plugins used by Sonnet to interact with the following
 spell checking backends: aspell, hunspell or hspell. The dictionaries need to
 be installed separatedly.

Package: libkf6sonnet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: spell checking library for Qt, data files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the translations.

Package: libkf6sonnet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
         libkf6sonnetcore6 (= ${binary:Version}),
         libkf6sonnetui6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6sonnet-doc (= ${source:Version}),
Description: spell checking library for Qt, devel files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework.

Package: libkf6sonnet-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: spell checking library for Qt, devel binaries
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the utility programs related to the Sonnet framework.

Package: libkf6sonnet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: spell checking library for Qt (documentation)
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6sonnetcore6
Architecture: any
Multi-Arch: same
Depends: libkf6sonnet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet6-plugins (= ${binary:Version}),
Description: spell checking library for Qt, core lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.

Package: libkf6sonnetui6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: sonnet6-plugins (= ${binary:Version}),
Description: spell checking library for Qt, ui lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package provides Qt based GUI elements that can be used
 by projects to construct spell checking user interfaces.

Package: qml6-module-org-kde-sonnet
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the QML module.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/sonnet-(.*)\.tar\.xz

## kf6-sonnet 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 project(Sonnet VERSION ${KF_VERSION})
 
 include(FeatureSummary)
 include(CMakeDependentOption)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

########### unittests ###############

set(sonnet_plugins)

if (NOT BUILD_SHARED_LIBS)
    set (sonnet_plugins sonnet_aspell sonnet_hunspell)
endif()


ecm_add_tests(
 test_filter.cpp
 test_core.cpp
 test_suggest.cpp
 test_settings.cpp
 test_autodetect.cpp
 NAME_PREFIX "sonnet-"
 LINK_LIBRARIES KF6::SonnetCore Qt6::Test ${sonnet_plugins}
)

ecm_add_tests(
 test_highlighter.cpp
 NAME_PREFIX "sonnet-"
 LINK_LIBRARIES KF6::SonnetUi KF6::SonnetCore Qt6::Test ${sonnet_plugins}
)

=== src/plugins/aspell/CMakeLists.txt ===
qt_add_plugin(sonnet_aspell CLASS_NAME ASpellClient)

target_sources(sonnet_aspell PRIVATE
    aspellclient.cpp
    aspelldict.cpp
)

target_include_directories(sonnet_aspell PRIVATE ${ASPELL_INCLUDE_DIR})

ecm_qt_declare_logging_category(sonnet_aspell
    HEADER aspell_debug.h
    IDENTIFIER SONNET_LOG_ASPELL
    CATEGORY_NAME kf.sonnet.clients.aspell
    OLD_CATEGORY_NAMES sonnet.plugins.aspell
    DESCRIPTION "Sonnet Aspell plugin"
    EXPORT SONNET
)

target_link_libraries(sonnet_aspell PRIVATE KF6::SonnetCore ${ASPELL_LIBRARIES})

install(TARGETS sonnet_aspell  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/sonnet/)

set(SONNET_BACKEND_FOUND TRUE PARENT_SCOPE)

=== src/plugins/nsspellchecker/CMakeLists.txt ===
qt_add_plugin(sonnet_nsspellchecker CLASS_NAME NSSpellCheckerClient)

target_sources(sonnet_nsspellchecker PRIVATE
    nsspellcheckerclient.mm
    nsspellcheckerdict.mm
)

ecm_qt_declare_logging_category(sonnet_nsspellchecker
    HEADER nsspellcheckerdebug.h
    IDENTIFIER SONNET_NSSPELLCHECKER
    CATEGORY_NAME kf.sonnet.clients.nsspellchecker
    OLD_CATEGORY_NAMES sonnet.plugins.nsspellchecker
    DESCRIPTION "Sonnet NSSpellChecker plugin"
    EXPORT SONNET
)

target_link_libraries(sonnet_nsspellchecker PRIVATE KF6::SonnetCore "-framework AppKit")

install(TARGETS sonnet_nsspellchecker  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/sonnet/)

set(SONNET_BACKEND_FOUND TRUE PARENT_SCOPE)

=== src/ui/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)

ecm_qtdesignerplugin_widget(Sonnet::DictionaryComboBox
    TOOLTIP "Dictionary Combobox"
    WHATSTHIS "A combobox to select a dictionary for spellchecking"
    GROUP "Sonnet (KF6)"
)

ecm_add_qtdesignerplugin(sonnetuiwidgets
    NAME SonnetUiWidgets
    OUTPUT_NAME sonnet6widgets
    WIDGETS
        Sonnet::DictionaryComboBox
    LINK_LIBRARIES
        KF6::SonnetUi
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
)

=== debian/changelog ===
kf6-sonnet (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,41 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: aspell,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
+               aspell,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
                libvoikko-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth,
-               xvfb,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
 Section: kde
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kf6-sonnet-plugins,
 Replaces: kf6-sonnet-plugins,
 Suggests: hspell,
@@ -50,7 +51,7 @@
 Package: libkf6sonnet-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: spell checking library for Qt, data files
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -65,7 +66,8 @@
 Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
          libkf6sonnetcore6 (= ${binary:Version}),
          libkf6sonnetui6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qml6-module-org-kde-sonnet (= ${binary:Version}),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6sonnet-doc (= ${source:Version}),
@@ -81,7 +83,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: spell checking library for Qt, devel binaries
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -116,7 +119,8 @@
 Package: libkf6sonnetui6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Recommends: sonnet6-plugins (= ${binary:Version}),
 Description: spell checking library for Qt, ui lib
  Sonnet is a Qt based library that offers easy access to spell
@@ -128,6 +132,7 @@
 
 Package: qml6-module-org-kde-sonnet
 Depends: ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kf6-sonnet 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(Sonnet VERSION ${KF_VERSION})
 
 include(FeatureSummary)
 include(CMakeDependentOption)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/core/CMakeLists.txt ===
add_library(KF6SonnetCore)
add_library(KF6::SonnetCore ALIAS KF6SonnetCore)

qt_extract_metatypes(KF6SonnetCore)

set_target_properties(KF6SonnetCore PROPERTIES
    VERSION     ${SONNET_VERSION}
    SOVERSION   ${SONNET_SOVERSION}
    EXPORT_NAME SonnetCore
)

target_sources(KF6SonnetCore PRIVATE
    backgroundchecker.cpp
    backgroundchecker.h
    backgroundchecker_p.h
    client.cpp
    client_p.h
    guesslanguage.cpp
    guesslanguage.h
    languagefilter.cpp
    languagefilter_p.h
    loader.cpp
    loader_p.h
    settings.cpp
    settings.h
    settingsimpl.cpp
    settingsimpl_p.h
    speller.cpp
    speller.h
    spellerplugin.cpp
    spellerplugin_p.h
    textbreaks.cpp
    textbreaks_p.h
    tokenizer.cpp
    tokenizer_p.h
)

# create trigrams file + add trigrams resource
if (TARGET KF6::parsetrigrams)
    add_custom_command(OUTPUT "${PROJECT_BINARY_DIR}/data/trigrams.map"
                       COMMAND KF6::parsetrigrams "${PROJECT_SOURCE_DIR}/data/trigrams" > "${PROJECT_BINARY_DIR}/data/trigrams.map")
    configure_file(${PROJECT_SOURCE_DIR}/data/trigrams.qrc.in "${PROJECT_BINARY_DIR}/data/trigrams.qrc" @ONLY)
    target_sources(KF6SonnetCore PRIVATE "${PROJECT_BINARY_DIR}/data/trigrams.qrc")
endif()

ecm_qt_declare_logging_category(KF6SonnetCore
    HEADER core_debug.h
    IDENTIFIER SONNET_LOG_CORE
    CATEGORY_NAME kf.sonnet.core
    OLD_CATEGORY_NAMES sonnet.core
    DESCRIPTION "Sonnet Core"
    EXPORT SONNET
)

# Dear packagers, this is just used as an extra search paths for plugins. Don't get your panties in a twist.
add_definitions(-DINSTALLATION_PLUGIN_PATH="${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_PLUGINDIR}")

ecm_generate_export_header(KF6SonnetCore
    BASE_NAME SonnetCore
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Sonnet
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_generate_headers(SonnetCore_CamelCase_HEADERS
  HEADER_NAMES
    BackgroundChecker
    Speller
    GuessLanguage
    Settings
  PREFIX Sonnet
  REQUIRED_HEADERS SonnetCore_HEADERS
)

ecm_generate_qdoc(KF6SonnetCore sonnetcore.qdocconf)

target_link_libraries(KF6SonnetCore PUBLIC Qt6::Core)

target_include_directories(KF6SonnetCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/SonnetCore>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Sonnet>"
    PUBLIC
        "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>" # version header
)

install(TARGETS KF6SonnetCore EXPORT KF6SonnetTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${SonnetCore_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetCore/Sonnet COMPONENT Devel)

install(FILES
   ${SonnetCore_HEADERS}
   ${CMAKE_CURRENT_BINARY_DIR}/sonnetcore_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/SonnetCore/sonnet COMPONENT Devel)

=== src/plugins/CMakeLists.txt ===

# you can find find_package() in kdelibs/cmake/modules/OptionalFindPackage.cmake
# it is the same as FIND_PACKAGE(<name>) but additionally creates an OPTION(WITH_<name>)
# so the checking for the software can be disabled via ccmake or -DWITH_<name>=OFF
find_package(ASPELL)
set_package_properties(ASPELL PROPERTIES
    URL "http://aspell.net/"
    DESCRIPTION "Spell checking support via Aspell"
    TYPE OPTIONAL
)
if (ASPELL_INCLUDE_DIR AND ASPELL_LIBRARIES)
   add_subdirectory( aspell )
endif ()


find_package(HSPELL)
set_package_properties(HSPELL PROPERTIES
    URL "http://ivrix.org.il/projects/spell-checker/"
    DESCRIPTION "Spell checking support for Hebrew"
    TYPE OPTIONAL
)
if (HSPELL_FOUND)
   add_subdirectory( hspell )
endif ()

find_package(HUNSPELL)
set_package_properties(HUNSPELL PROPERTIES
    URL "https://hunspell.github.io/"
    DESCRIPTION "Spell checking support via Hunspell"
    TYPE OPTIONAL
)
if (HUNSPELL_FOUND)
   add_subdirectory( hunspell )
endif ()


find_package(VOIKKO)
set_package_properties(VOIKKO PROPERTIES
    URL "https://voikko.puimula.org/"
    DESCRIPTION "Spell checking support via Voikko"
    TYPE OPTIONAL
)
if (VOIKKO_FOUND)
   add_subdirectory( voikko )
endif ()

if (APPLE)
    add_subdirectory( nsspellchecker )
endif ()

if (WIN32)
    add_subdirectory( ispellchecker )
endif ()

# if we did not find any backend, that is bad
# do that on Android, too, if we have some backend for it
if (NOT ANDROID AND NOT SONNET_BACKEND_FOUND AND NOT SONNET_NO_BACKENDS)
    message(FATAL_ERROR "Can not build any backend plugin for Sonnet.")
endif ()

=== debian/changelog ===
kf6-sonnet (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:09:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,40 @@
 Source: kf6-sonnet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: aspell,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
-               aspell,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
                hspell,
                libaspell-dev,
                libhunspell-dev,
                libvoikko-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xauth,
+               xvfb,
                zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/sonnet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-sonnet
 Rules-Requires-Root: no
 
 Package: sonnet6-plugins
 Section: kde
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: kf6-sonnet-plugins,
 Replaces: kf6-sonnet-plugins,
 Suggests: hspell,
@@ -51,7 +50,7 @@
 Package: libkf6sonnet-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: spell checking library for Qt, data files
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -66,8 +65,7 @@
 Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
          libkf6sonnetcore6 (= ${binary:Version}),
          libkf6sonnetui6 (= ${binary:Version}),
-         qml6-module-org-kde-sonnet (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6sonnet-doc (= ${source:Version}),
@@ -83,8 +81,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: spell checking library for Qt, devel binaries
  Sonnet is a Qt based library that offers easy access to spell
  checking using various plugin based backends.  It is part of KDE
@@ -119,8 +116,7 @@
 Package: libkf6sonnetui6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: sonnet6-plugins (= ${binary:Version}),
 Description: spell checking library for Qt, ui lib
  Sonnet is a Qt based library that offers easy access to spell
@@ -132,7 +128,6 @@
 
 Package: qml6-module-org-kde-sonnet
 Depends: ${misc:Depends},
-         ${qml6:Depends},
          ${shlibs:Depends},
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,6 @@
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	export XDG_RUNTIME_DIR="$$(mktemp -d)"; \
+	 xvfb-run -a dh_auto_test; \
+	 rm -rf "$$XDG_RUNTIME_DIR"

## kf6-sonnet 6.19.0+p24.04+vstable+git20251015.0818

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vstable+git20251015.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:18:44 +0000

kf6-sonnet (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:16:19 +0000

kf6-sonnet (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:12:13 +0000

kf6-sonnet (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:36:38 +0000

kf6-sonnet (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:52:29 +0000

kf6-sonnet (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:10:13 +0000

kf6-sonnet (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:51:00 +0000

kf6-sonnet (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:19:09 +0000

kf6-sonnet (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:22:13 +0000

kf6-sonnet (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:45:19 +0000

kf6-sonnet (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:30:13 +0000

kf6-sonnet (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:45:58 +0000

kf6-sonnet (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:18:12 +0000

kf6-sonnet (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:42:51 +0000

kf6-sonnet (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:50:54 +0000

kf6-sonnet (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 05:00:33 +0000

kf6-sonnet (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:35:41 +1000

kf6-sonnet (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:07:13 +0000

kf6-sonnet (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:31:17 +0000

kf6-sonnet (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-sonnet (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-sonnet 6.19.0+p24.04+vstable+git20251019.0100

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vstable+git20251019.0100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:00:52 +0000

## kf6-sonnet 6.19.0+p24.04+vstable+git20251024.0114

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(Sonnet VERSION ${KF_VERSION})
 
 include(FeatureSummary)
@@ -29,7 +29,7 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 option(SONNET_USE_WIDGETS "Build components using Qt6Widgets" ON)
 option(SONNET_USE_QML "Build components using Qt6Quick" ON)
 option(SONNET_NO_BACKENDS "Do not fail when no backends are built (to be used for cross-build host tooling)" OFF)

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vstable+git20251024.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:14:59 +0000

=== debian/control ===
Source: kf6-sonnet
Section: libs
Priority: optional
Build-Depends: aspell,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               hspell,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libaspell-dev,
               libhunspell-dev,
               libvoikko-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://projects.kde.org/sonnet
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-sonnet.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-sonnet
Maintainer: Neon CI <neon@kde.org>

Package: kf6-sonnet
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: hspell, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6sonnet-data,
          libkf6sonnetcore6,
          libkf6sonnetui6,
          qml6-module-org-kde-sonnet,
          sonnet-plugins
Description: spell checking library for Qt (documentation)
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.

Package: kf6-sonnet-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-sonnet (= ${binary:Version}),
         qt6-5compat-dev,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf6sonnet-dev, libkf6sonnet-dev-bin, libkf6sonnet-doc
Description: Spell checking library for Qt, devel files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework.

Package: libkf6sonnet6-data
Architecture: all
Depends: kf6-sonnet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sonnet-dev
Architecture: all
Depends: kf6-sonnet-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sonnet-dev-bin
Architecture: all
Depends: kf6-sonnet-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sonnet-doc
Architecture: all
Depends: kf6-sonnet-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sonnetcore6
Architecture: all
Depends: kf6-sonnet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sonnetui6
Architecture: all
Depends: kf6-sonnet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-sonnet
Architecture: all
Depends: kf6-sonnet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: sonnet-plugins
Architecture: all
Depends: kf6-sonnet, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-sonnet 6.19.0+p24.04+vstable+git20251028.0744

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vstable+git20251028.0744-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 07:44:27 +0000

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/frameworks/([\d\.]*)/sonnet-(.*)\.tar\.xz

## kf6-sonnet 6.19.0+p24.04+vstable+git20251031.0711

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vstable+git20251031.0711-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:11:18 +0000

## kf6-sonnet 6.19.0+p24.04+vunstable+git20251015.0927

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 option(SONNET_USE_WIDGETS "Build components using Qt6Widgets" ON)
 option(SONNET_USE_QML "Build components using Qt6Quick" ON)
 option(SONNET_NO_BACKENDS "Do not fail when no backends are built (to be used for cross-build host tooling)" OFF)

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vunstable+git20251015.0927-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:27:25 +0000

## kf6-sonnet 6.19.0+p24.04+vunstable+git20251016.0042

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vunstable+git20251016.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:42:57 +0000

## kf6-sonnet 6.19.0+p24.04+vunstable+git20251020.0206

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vunstable+git20251020.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:06:14 +0000

## kf6-sonnet 6.19.0+p24.04+vunstable+git20251021.0332

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vunstable+git20251021.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:32:32 +0000

## kf6-sonnet 6.19.0+p24.04+vunstable+git20251022.0041

=== debian/changelog ===
kf6-sonnet (6.19.0+p24.04+vunstable+git20251022.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:41:14 +0000

## kf6-sonnet 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include(FeatureSummary)
 include(CMakeDependentOption)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -29,7 +29,7 @@
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 option(SONNET_USE_WIDGETS "Build components using Qt6Widgets" ON)
 option(SONNET_USE_QML "Build components using Qt6Quick" ON)
 option(SONNET_NO_BACKENDS "Do not fail when no backends are built (to be used for cross-build host tooling)" OFF)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 )
 
 ecm_add_tests(
+ test_decorator.cpp
  test_highlighter.cpp
  NAME_PREFIX "sonnet-"
  LINK_LIBRARIES KF6::SonnetUi KF6::SonnetCore Qt6::Test ${sonnet_plugins}

=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,19 @@
 target_sources(KF6SonnetUi PRIVATE
     ${sonnetui_ui_SRCS}
     configdialog.cpp
+    configdialog.h
     configview.cpp
+    configview.h
     configwidget.cpp
+    configwidget.h
     dialog.cpp
+    dialog.h
     dictionarycombobox.cpp
+    dictionarycombobox.h
     highlighter.cpp
+    highlighter.h
     spellcheckdecorator.cpp
+    spellcheckdecorator.h
 )
 
 ecm_qt_declare_logging_category(KF6SonnetUi

=== debian/changelog ===
kf6-sonnet (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:04 +0100

=== debian/control ===
Source: kf6-sonnet
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               aspell,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               hspell,
               libaspell-dev,
               libhunspell-dev,
               libvoikko-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/sonnet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-sonnet.git
Rules-Requires-Root: no

Package: sonnet6-plugins
Section: kde
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kf6-sonnet-plugins,
Replaces: kf6-sonnet-plugins,
Suggests: hspell,
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package provides plugins used by Sonnet to interact with the following
 spell checking backends: aspell, hunspell or hspell. The dictionaries need to
 be installed separatedly.

Package: libkf6sonnet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: spell checking library for Qt, data files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the translations.

Package: libkf6sonnet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6sonnet-dev-bin (= ${binary:Version}),
         libkf6sonnetcore6 (= ${binary:Version}),
         libkf6sonnetui6 (= ${binary:Version}),
         qml6-module-org-kde-sonnet (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6sonnet-doc (= ${source:Version}),
Description: spell checking library for Qt, devel files
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains development files for building software that uses
 libraries from the Sonnet framework.

Package: libkf6sonnet-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: spell checking library for Qt, devel binaries
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the utility programs related to the Sonnet framework.

Package: libkf6sonnet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: spell checking library for Qt (documentation)
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6sonnetcore6
Architecture: any
Multi-Arch: same
Depends: libkf6sonnet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet6-plugins (= ${binary:Version}),
Description: spell checking library for Qt, core lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.

Package: libkf6sonnetui6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet6-plugins (= ${binary:Version}),
Description: spell checking library for Qt, ui lib
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package provides Qt based GUI elements that can be used
 by projects to construct spell checking user interfaces.

Package: qml6-module-org-kde-sonnet
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: spell checking library for Qt, plugins
 Sonnet is a Qt based library that offers easy access to spell
 checking using various plugin based backends.  It is part of KDE
 Frameworks 6.
 .
 This package contains the QML module.

## kf6-sonnet 6.20.0+p24.04+vunstable+git20251203.0046

=== debian/changelog ===
kf6-sonnet (6.20.0+p24.04+vunstable+git20251203.0046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:46:57 +0000

kf6-sonnet (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:46 +1000

## kf6-sonnet 6.20.0+p24.04+vunstable+git20251204.0125

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(Sonnet VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-sonnet (6.20.0+p24.04+vunstable+git20251204.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:25:24 +0000
